﻿using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

namespace LightSwitchInt
{
    public class Program
    {
        static OutputPort LED; // En déclarant l'objet Led hors de la méthode main,
                               // on le rend visible dans la fonction IntButton_OnInterrupt

        public static void Main()
        {
            LED = new OutputPort(Pins.ONBOARD_LED, false);
            // La broche générera une interruption sur chaque front (montant et descendant)
            var BTN = new InterruptPort(Pins.GPIO_PIN_D11, true, Port.ResistorMode.Disabled, Port.InterruptMode.InterruptEdgeBoth);
            
            // Déclaration d'un gestionnaire d'interruption
            BTN.OnInterrupt += new NativeEventHandler(IntButton_OnInterrupt);

            Thread.Sleep(Timeout.Infinite); // Après l'initialisation, Main n'est plus utilisé
        }

        static void IntButton_OnInterrupt(uint port, uint state, DateTime time)
        {
            LED.Write(state != 0);
            if (state == 0)
            {
                Debug.Print("BP Relâché");
            }
            else
            {
                Debug.Print("BP Activé");
            }
        }
    }
 }
