﻿using System;
using System.Threading;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

namespace TestNetduinoArdumoto
{
    public class Program
    {// Documentation de la classe PWM: http://msdn.microsoft.com/en-us/library/microsoft.spot.hardware.pwm(v=vs.102).aspx
        public static void Main()
        {
            var duty = 0.1; // Rapport cyclique entre 0 et 1
            var freq = 1000; // Fréquence en Hz

            // Moteur 12V connecté sur la voie B de la carte Ardumoto
            var PWMB = new PWM(PWMChannels.PWM_PIN_D11, freq, duty, false);
            var DIRB = new OutputPort(Pins.GPIO_PIN_D13, true);

            PWMB.Start();

            while (true)
            { // Rampe d'accélération
                for (int i = 0; i < 9; i++)
                {
                    PWMB.DutyCycle = duty + 0.1 * i;
                    Thread.Sleep(500);
                }
                Thread.Sleep(4000); // Palier à vitesse constante
                PWMB.DutyCycle = 0.1;
            }
        }
    }
}
