﻿using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;
using System;
using System.Threading;

namespace TestNetduinoServo
{
    public class Program
    {
        public static void Main()
        {// Documentation de la classe PWM http://msdn.microsoft.com/en-us/library/microsoft.spot.hardware.pwm(v=vs.102).aspx
            var duty = 0.05; // Rapport cyclique entre 0 et 1
            var freq = 50; // Fréquence en Hz min pour ce type de servo

            // Configuration l'E/S numérique 3 de la NetDuino en PWM
            // Connexion du Servomoteur au connecteur O5 de la carte TINKERKIT
            PWM Servo = new PWM(PWMChannels.PWM_PIN_D3, freq, duty, false);

            Servo.Start();

            while (true)
            { // Déplacement angulaire de 90°
                for (var i = 0; i < 6; i++)
                {
                    Servo.DutyCycle = duty + i * 0.01;
                    Thread.Sleep(1000);
                }

                Servo.DutyCycle = duty;
            }
        }
    }
}
