﻿using System.Text;
using System.IO.Ports;
using System.Threading;

using SecretLabs.NETMF.Hardware.NetduinoPlus;

namespace NetduinoXBEE_E
{
    public class Program
    {
        public static void Main()
        { // Documentation de la classe SerialPort http://msdn.microsoft.com/en-us/library/system.io.ports.serialport(v=vs.102).aspx
            var i = 0; // Valeur à transmettre

            // Emetteur
            // Création d'un port série pour la communication avec le module XBEE. XBEE_RX sur Di0 et XBEE_TX sur Di1.
            SerialPort xbee_E = new SerialPort(SerialPorts.COM1, 9600, Parity.None, 8, StopBits.One);                    

            // Création d'une chaîne de caractère et d'un buffer d'émission
            string counter_string;
            byte[] outBuffer;

            xbee_E.Open(); // Ouverture du port série
            
            while (true)
            {
                for (i = 0; i <= 65535; i++)
                { // \n = LF (délimite la fin de la donnée transmise)
                    counter_string = i.ToString() +"\n"; 
                    outBuffer = Encoding.UTF8.GetBytes(counter_string);
                    xbee_E.Write(outBuffer, 0, outBuffer.Length);
                    Thread.Sleep(2000); // Envoi de la valeur toutes les 2s
                }
            }
        }
    }
}
